package x11?

Dan Nicholson dbn.lists at gmail.com
Tue Feb 27 06:55:00 PST 2007


On 2/27/07, Jorge Almeida <jalmeida at math.ist.utl.pt> wrote:

> I'm trying to install xorg, following the current stable version of the
> BLFS book.  I'm using "/opt/xorg" as $XORG_PREFIX.
> I can't install the libraries:
<snip>
>         checking for OLDX... configure: error: Package requirements (x11) were not met:
>
>         No package 'x11' found
>
>         Consider adjusting the PKG_CONFIG_PATH environment variable if you
>         installed software in a non-standard prefix.

Since you're installing X outside of the default pkg-config path of
/usr/share/pkg-config:/usr/lib/pkg-config, you have to set
PKG_CONFIG_PATH.

$ export PKG_CONFIG_PATH=/opt/xorg/lib/pkgconfig

That should find x11.pc in that directory. If you don't have that
file, something's gone wrong earlier and you (at least) didn't install
libX11. The environment settings are explained at the end of the
introduction:

http://www.linuxfromscratch.org/blfs/view/stable/x/xorg7.html

--
Dan



More information about the blfs-support mailing list